cluster / backup
6 operations.
GET /cluster/backup
ts
proxmox.cluster.backup.$get()List vzdump backup schedule.
Returns an array of object.
POST /cluster/backup
ts
proxmox.cluster.backup.$post()Create new vzdump backup job.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
all | boolean | Backup all known guest systems on this host. — default 0 | |
bwlimit | number | Limit I/O bandwidth (in KiB/s). — min 0, default 0 | |
comment | string | Description for the Job. — ≤ 512 chars | |
compress | 0 | 1 | gzip | lzo | zstd | Compress dump file. — default "0" | |
dow | string | Deprecated: Use 'schedule' instead. Day of week selection. 'starttime' and 'dow' will be converted into 'schedule' if used. — format pve-day-of-week-list, default "mon,tue,wed,thu,fri,sat,sun" | |
dumpdir | string | Store resulting files to specified directory. | |
enabled | boolean | Enable or disable the job. — default "1" | |
exclude | string | Exclude specified guest systems (assumes --all) — format pve-vmid-list | |
exclude-path | string[] | Exclude certain files/directories (shell globs). Paths starting with '/' are anchored to the container's root, other paths match relative to each subdirectory. | |
fleecing | string | Options for backup fleecing (VM only). — format backup-fleecing | |
id | string | Job ID (will be autogenerated). — format pve-configid | |
ionice | number | Set IO priority when using the BFQ scheduler. For snapshot and suspend mode backups of VMs, this only affects the compressor. A value of 8 means the idle priority is used, otherwise the best-effort priority is used with the specified value. — min 0, max 8, default 7 | |
lockwait | number | Maximal time to wait for the global lock (minutes). — min 0, default 180 | |
mailnotification | always | failure | Deprecated: use notification targets/matchers instead. Specify when to send a notification mail — default "always" | |
mailto | string | Deprecated: Use notification targets/matchers instead. Comma-separated list of email addresses or users that should receive email notifications. — format email-or-username-list | |
mode | snapshot | suspend | stop | Backup mode. — default "snapshot" | |
node | string | Only run if executed on this node. — format pve-node | |
notes-template | string | Template string for generating notes for the backup(s). It can contain variables which will be replaced by their values. Currently supported are {{cluster}}, {{guestname}}, {{node}}, and {{vmid}}, but more might be added in the future. Needs to be a single line, newline and backslash need to be escaped as '\n' and '\' respectively. — ≤ 1024 chars | |
notification-mode | auto | legacy-sendmail | notification-system | Determine which notification system to use. If set to 'legacy-sendmail', vzdump will consider the mailto/mailnotification parameters and send emails to the specified address(es) via the 'sendmail' command. If set to 'notification-system', a notification will be sent via PVE's notification system, and the mailto and mailnotification will be ignored. If set to 'auto' (default setting), an email will be sent if mailto is set, and the notification system will be used if not. — default "auto" | |
pbs-change-detection-mode | legacy | data | metadata | PBS mode used to detect file changes and switch encoding format for container backups. | |
performance | string | Other performance-related settings. — format backup-performance | |
pigz | number | Use pigz instead of gzip when N>0. N=1 uses half of cores, N>1 uses N as thread count. — default 0 | |
pool | string | Backup all known guest systems included in the specified pool. | |
protected | boolean | If true, mark backup(s) as protected. | |
prune-backups | string | Use these retention options instead of those from the storage configuration. — format prune-backups, default "keep-all=1" | |
quiet | boolean | Be quiet. — default 0 | |
remove | boolean | Prune older backups according to 'prune-backups'. — default 1 | |
repeat-missed | boolean | If true, the job will be run as soon as possible if it was missed while the scheduler was not running. — default 0 | |
schedule | string | Backup schedule. The format is a subset of systemd calendar events. — format pve-calendar-event, ≤ 128 chars | |
script | string | Use specified hook script. | |
starttime | string | Deprecated: Use 'schedule' instead. Job Start time. 'starttime' and 'dow' will be converted into 'schedule' if used. | |
stdexcludes | boolean | Exclude temporary files and logs. — default 1 | |
stop | boolean | Stop running backup jobs on this host. — default 0 | |
stopwait | number | Maximal time to wait until a guest system is stopped (minutes). — min 0, default 10 | |
storage | string | Store resulting file to this storage. — format pve-storage-id | |
tmpdir | string | Store temporary files to specified directory. | |
vmid | string | The ID of the guest system you want to backup. — format pve-vmid-list | |
zstd | number | Zstd threads. N=0 uses half of the available cores, if N is set to a value bigger than 0, N is used as thread count. — default 1 |
GET /cluster/backup/{id}
ts
proxmox.cluster.backup.$(id).$get()Read vzdump backup job definition.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
id | string | yes | The job ID. — ≤ 50 chars |
PUT /cluster/backup/{id}
ts
proxmox.cluster.backup.$(id).$put()Update vzdump backup job definition.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
all | boolean | Backup all known guest systems on this host. — default 0 | |
bwlimit | number | Limit I/O bandwidth (in KiB/s). — min 0, default 0 | |
comment | string | Description for the Job. — ≤ 512 chars | |
compress | 0 | 1 | gzip | lzo | zstd | Compress dump file. — default "0" | |
delete | string | A list of settings you want to delete. — format pve-configid-list | |
dow | string | Deprecated: Use 'schedule' instead. Day of week selection. 'starttime' and 'dow' will be converted into 'schedule' if used. — format pve-day-of-week-list | |
dumpdir | string | Store resulting files to specified directory. | |
enabled | boolean | Enable or disable the job. — default "1" | |
exclude | string | Exclude specified guest systems (assumes --all) — format pve-vmid-list | |
exclude-path | string[] | Exclude certain files/directories (shell globs). Paths starting with '/' are anchored to the container's root, other paths match relative to each subdirectory. | |
fleecing | string | Options for backup fleecing (VM only). — format backup-fleecing | |
id | string | yes | The job ID. — ≤ 50 chars |
ionice | number | Set IO priority when using the BFQ scheduler. For snapshot and suspend mode backups of VMs, this only affects the compressor. A value of 8 means the idle priority is used, otherwise the best-effort priority is used with the specified value. — min 0, max 8, default 7 | |
lockwait | number | Maximal time to wait for the global lock (minutes). — min 0, default 180 | |
mailnotification | always | failure | Deprecated: use notification targets/matchers instead. Specify when to send a notification mail — default "always" | |
mailto | string | Deprecated: Use notification targets/matchers instead. Comma-separated list of email addresses or users that should receive email notifications. — format email-or-username-list | |
mode | snapshot | suspend | stop | Backup mode. — default "snapshot" | |
node | string | Only run if executed on this node. — format pve-node | |
notes-template | string | Template string for generating notes for the backup(s). It can contain variables which will be replaced by their values. Currently supported are {{cluster}}, {{guestname}}, {{node}}, and {{vmid}}, but more might be added in the future. Needs to be a single line, newline and backslash need to be escaped as '\n' and '\' respectively. — ≤ 1024 chars | |
notification-mode | auto | legacy-sendmail | notification-system | Determine which notification system to use. If set to 'legacy-sendmail', vzdump will consider the mailto/mailnotification parameters and send emails to the specified address(es) via the 'sendmail' command. If set to 'notification-system', a notification will be sent via PVE's notification system, and the mailto and mailnotification will be ignored. If set to 'auto' (default setting), an email will be sent if mailto is set, and the notification system will be used if not. — default "auto" | |
pbs-change-detection-mode | legacy | data | metadata | PBS mode used to detect file changes and switch encoding format for container backups. | |
performance | string | Other performance-related settings. — format backup-performance | |
pigz | number | Use pigz instead of gzip when N>0. N=1 uses half of cores, N>1 uses N as thread count. — default 0 | |
pool | string | Backup all known guest systems included in the specified pool. | |
protected | boolean | If true, mark backup(s) as protected. | |
prune-backups | string | Use these retention options instead of those from the storage configuration. — format prune-backups, default "keep-all=1" | |
quiet | boolean | Be quiet. — default 0 | |
remove | boolean | Prune older backups according to 'prune-backups'. — default 1 | |
repeat-missed | boolean | If true, the job will be run as soon as possible if it was missed while the scheduler was not running. — default 0 | |
schedule | string | Backup schedule. The format is a subset of systemd calendar events. — format pve-calendar-event, ≤ 128 chars | |
script | string | Use specified hook script. | |
starttime | string | Deprecated: Use 'schedule' instead. Job Start time. 'starttime' and 'dow' will be converted into 'schedule' if used. | |
stdexcludes | boolean | Exclude temporary files and logs. — default 1 | |
stop | boolean | Stop running backup jobs on this host. — default 0 | |
stopwait | number | Maximal time to wait until a guest system is stopped (minutes). — min 0, default 10 | |
storage | string | Store resulting file to this storage. — format pve-storage-id | |
tmpdir | string | Store temporary files to specified directory. | |
vmid | string | The ID of the guest system you want to backup. — format pve-vmid-list | |
zstd | number | Zstd threads. N=0 uses half of the available cores, if N is set to a value bigger than 0, N is used as thread count. — default 1 |
DELETE /cluster/backup/{id}
ts
proxmox.cluster.backup.$(id).$delete()Delete vzdump backup job definition.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
id | string | yes | The job ID. — ≤ 50 chars |
GET /cluster/backup/{id}/included_volumes
ts
proxmox.cluster.backup.$(id).included_volumes.$get()Returns included guests and the backup status of their disks. Optimized to be used in ExtJS tree views.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
id | string | yes | The job ID. — ≤ 50 chars |